/* o_map.c
 *
 * from MapMod created by Jeremy Mappus - Jerm aka DarkTheties
 *
 * Similarly to Rocket Arena a section in orange.ini called Maps 
 * contains a list of nextmaps, e.g.
 *
 *		[Maps]
 *		base1 = base2
 *		base1 = base1
 *
 * 7 january 1998	jet@poboxes.com
 */


#include "g_local.h"
#include "o_map.h"
#include "o_ini.h"


/* o_map_nextmap
 *
 * move onto nextmap if one exists
 */

void o_map_next(char *thismap, char **nextmap)
{
	char *file = "orange.ini";
	char *section = "Maps";
	char *result;

	ini_initialise();
	result = strdup (ini_key_value (file, section, thismap, *nextmap));
	ini_closedown();

	*nextmap = result;
}

/* end of file */
