/* o_string.h
 *
 * 15 december 1997	jet@poboxes.com
 */

#ifndef __O_STRING_H
#define __O_STRING_H

typedef struct tag_string_t {

	char *welcome;

/* suicide messages */
	char *s_grenade;
	char *s_rocket;
	char *s_bfg;

/* female suicide messages */
	char *fs_grenade;
	char *fs_rocket;
	char *fs_bfg;

/* quad suicide */
	char *qs_grenade;			/* hand & launcher */
	char *qs_rocket;
	char *qs_bfg;

/* female quad suicide */
	char *fqs_grenade;
	char *fqs_rocket;
	char *fqs_bfg;

/* death messages */
	char *d_blaster;
	char *d_shotgun;
	char *d_supershotgun;
	char *d_machinegun;
	char *d_grenade;
	char *d_rocket;
	char *d_chaingun;
	char *d_railgun;
	char *d_hyperblaster;
	char *d_bfg;

/* quad death */
	char *qd_blaster;
	char *qd_shotgun;
	char *qd_supershotgun;
	char *qd_machinegun;
	char *qd_grenade;
	char *qd_rocket;
	char *qd_chaingun;
	char *qd_railgun;
	char *qd_hyperblaster;
	char *qd_bfg;

/* environmental deaths */
	char *e_lava;
	char *e_slime;
	char *e_water;
	char *e_fall;

/* female environmental deaths */
	char *fe_lava;
	char *fe_slime;
	char *fe_water;
	char *fe_fall;

} string_t;

typedef struct tag_config_t {
	qboolean motd;				/* message of the day */
	qboolean centerprint;		/* motd on screen rather than console */
	qboolean turrets;			/* turrets on jail1 */
} config_t;

extern string_t os;
extern config_t oc;

#ifdef __cplusplus 
extern "C" {
#endif

void o_initstring (void);
void o_initconfig (void);
  
#ifdef __cplusplus 
}
#endif

#endif // __O_STRING_H

/* end of file */
